classification
Title: errors from msync ignored in mmap_object_dealloc
Type: behavior Stage: resolved
Components: Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: brian.curtin, rosslagerwall, schmir
Priority: normal Keywords:

Created on 2008-04-16 16:30 by schmir, last changed 2011-01-17 20:20 by brian.curtin. This issue is now closed.

Messages (5)
msg65553 - (view) Author: Ralf Schmitt (schmir) Date: 2008-04-16 16:30
mmapmodule.c's mmap_object_dealloc calls msync without checking for an
error.
msg97573 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-01-11 05:02
Do you have a test case to reproduce the errors?

I see that we call msync followed by munmap, neither one checked.
msg97583 - (view) Author: Ralf Schmitt (schmir) Date: 2010-01-11 09:14
No, I don't know how to provoke such an error other than passing illegal parameters..(or munmap'ing the mmap'ed area).
msg126414 - (view) Author: Ross Lagerwall (rosslagerwall) (Python committer) Date: 2011-01-17 17:24
I think this can be closed.

msync() is only called in mmap.flush() and it is checked for an error.
msg126433 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2011-01-17 20:20
That was changed in r84950 from #2643.
History
Date User Action Args
2011-01-17 20:20:56brian.curtinsetstatus: open -> closed
nosy: schmir, brian.curtin, rosslagerwall
messages: + msg126433

resolution: out of date
stage: test needed -> resolved
2011-01-17 17:24:04rosslagerwallsetnosy: + rosslagerwall
messages: + msg126414
2010-01-11 09:14:09schmirsetmessages: + msg97583
2010-01-11 05:59:56brian.curtinsetpriority: normal
2010-01-11 05:02:22brian.curtinsetnosy: + brian.curtin

messages: + msg97573
stage: test needed
2008-04-16 16:30:25schmircreate